org.eclipse.core.filebuffers.manipulation

## Class MultiTextEditWithProgress

- java.lang.Object
- - org.eclipse.text.edits.TextEdit
  - - org.eclipse.text.edits.MultiTextEdit
    - - org.eclipse.core.filebuffers.manipulation.MultiTextEditWithProgress

    public class MultiTextEditWithProgress
    extends MultiTextEdit

Multi-text edit with progress reporting.

Since:
  3.1

### Field Summary

### Fields inherited from class org.eclipse.text.edits.TextEdit

`CREATE_UNDO, NONE, UPDATE_REGIONS`

### Constructor Summary

Constructors
Constructor and Description
`MultiTextEditWithProgress(String taskName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UndoEdit` `apply(IDocument document, int style, IProgressMonitor progressMonitor)`
`UndoEdit` `apply(IDocument document, IProgressMonitor progressMonitor)`
`protected void` `childDocumentUpdated()` Hook method called when the document updating of a child edit has been completed.
`protected void` `childRegionUpdated()` Hook method called when the region updating of a child edit has been completed.

### Methods inherited from class org.eclipse.text.edits.MultiTextEdit

`accept0, canZeroLengthCover, checkIntegrity, covers, doCopy, getLength, getOffset`

### Methods inherited from class org.eclipse.text.edits.TextEdit

`accept, acceptChildren, addChild, addChildren, apply, apply, copy, equals, getChildren, getChildrenSize, getCoverage, getExclusiveEnd, getInclusiveEnd, getParent, getRegion, getRoot, hasChildren, hashCode, isDeleted, moveTree, postProcessCopy, removeChild, removeChild, removeChildren, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiTextEditWithProgress

    public MultiTextEditWithProgress(String taskName)

### Method Detail

#### apply

    public final UndoEdit apply(IDocument document,
                                IProgressMonitor progressMonitor)
                         throws MalformedTreeException,
                                BadLocationException

Throws:
  `MalformedTreeException`
  `BadLocationException`

#### apply

    public final UndoEdit apply(IDocument document,
                                int style,
                                IProgressMonitor progressMonitor)
                         throws MalformedTreeException,
                                BadLocationException

Throws:
  `MalformedTreeException`
  `BadLocationException`

#### childDocumentUpdated

    protected void childDocumentUpdated()

Description copied from class: `TextEdit`
Hook method called when the document updating of a child edit has been completed. When a client calls `TextEdit.apply(IDocument)` or `TextEdit.apply(IDocument, int)` this method is called `TextEdit.getChildrenSize()` times.

May be overridden by subclasses of `MultiTextEdit`.

Overrides:
  `childDocumentUpdated` in class `TextEdit`

#### childRegionUpdated

    protected void childRegionUpdated()

Description copied from class: `TextEdit`
Hook method called when the region updating of a child edit has been completed. When a client calls `TextEdit.apply(IDocument)` this method is called `TextEdit.getChildrenSize()` times. When calling `TextEdit.apply(IDocument, int)` this method is called `TextEdit.getChildrenSize()` times, when the style parameter contains the `TextEdit.UPDATE_REGIONS` flag.

May be overridden by subclasses of `MultiTextEdit`.

Overrides:
  `childRegionUpdated` in class `TextEdit`